Subject: Re: linux-next: Tree for May 3

From: Christoph Hellwig <[email-masked]>
Date: Wed, 11 May 2022 14:37:24 +0200

On Wed, May 11, 2022 at 10:10:40AM +0000, [email-masked] wrote:
> Without even trying the patch, I double checked the boot log from
> 3f70356edf56 and I get a "software IO TLB: Cannot allocate buffer"
> With the patch its a "software IO TLB: swiotlb_init_remap: failed
> to allocate tlb structure". So spot on & I feel like an idiot for
> not spotting that before!
> 
> Is failing being fatal valid, or should it fail gracefully like it
> used to do? To me, blissfully unaware about swiotlb, the "current"
> behaviour of failing gracefully makes more sense.

Given that we're at -rc6 I think the most important thing for now is to
avoid a regression and restore the old behavior.  I'll send out a
series with this and the nslab related fixes for Xen today.

But we should look into why allocating the memory fails for your
plaforms.  Does it have very little memory?  I can't really think
of why else the memblock allocation for swiotlb would fail.